import time
from serial import Serial
from adafruit_pm25.uart import PM25_UART

uart = Serial("/dev/ttyS0", baudrate=9600, timeout=0.25)
sensor = PM25_UART(uart, None)

while True:
    try:
        time.sleep(2)
        pmData = sensor.read()
#         print(aqdata)
        print("0.3-1.0 μm in diameter:", pmData["pm10 env"],  "μg/m^3")
        print("1.0-2.5 μm in diameter:", pmData["pm25 env"],  "μg/m^3")
        print("2.5-10  μm in diameter:", pmData["pm100 env"], "μg/m^3")
        print("---------------------------------------")
    except RuntimeError:
        print("Unable to read from the sensor, retrying...")
        continue
    except KeyboardInterrupt:
        break



